Bug 1168695 - Failed to restart vdsm after upgrade from 3.4.4 to 3.5.1 snapshot
Summary: Failed to restart vdsm after upgrade from 3.4.4 to 3.5.1 snapshot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.1
Assignee: Yaniv Bronhaim
QA Contact: Gil Klein
URL:
Whiteboard: infra
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-11-27 15:44 UTC by Sandro Bonazzola
Modified: 2016-02-10 19:30 UTC (History)
10 users (show)

Fixed In Version: av13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 16:03:47 UTC
oVirt Team: Infra


Attachments (Terms of Use)
sosreport -o vdsm,libvirt (445.91 KB, application/x-xz)
2014-11-27 15:45 UTC, Sandro Bonazzola
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 35758 master MERGED Changing persisted value to libvirt logrotate configure Never
oVirt gerrit 35761 ovirt-3.5 MERGED Changing persisted value to libvirt logrotate configure Never

Description Sandro Bonazzola 2014-11-27 15:44:04 UTC
Description of problem:
On a working 3.4.4 CentOS system I upgraded the host to 3.5.1 snapshot and hit bug #1168689

Following http://www.ovirt.org/Hosted_Engine_Howto#Upgrade_Hosted_Engine
I then restarted vdsm:

# service vdsmd restart
Shutting down vdsm daemon: 
vdsm watchdog stop                                         [  OK  ]
vdsm: Running run_final_hooks                              [  OK  ]
vdsm stop                                                  [  OK  ]
initctl: Job is already running: libvirtd
vdsm: Running mkdirs
vdsm: Running configure_coredump
vdsm: Running configure_vdsm_logs
vdsm: Running run_init_hooks
vdsm: Running upgraded_version_check
vdsm: Running check_is_configured
libvirt is not configured for vdsm yet
Modules libvirt are not configured
Error:  

One of the modules is not configured to work with VDSM.
To configure the module use the following:
'vdsm-tool configure [--module module-name]'.

If all modules are not configured try to use:
'vdsm-tool configure --force'
(The force flag will stop the module's service and start it
afterwards automatically to load the new configuration.)
 

 vdsm: stopped during execute check_is_configured task (task returned with error code 1).
vdsm start                                                 [FAILED]





Version-Release number of selected component (if applicable):
Upgrading to:
 vdsm-4.16.7-71.gitc3ea4d5.el6.x86_64
From:
  vdsm-4.14.17-0.el6.x86_64

Comment 1 Sandro Bonazzola 2014-11-27 15:45:22 UTC
Created attachment 962134 [details]
sosreport -o vdsm,libvirt

Comment 2 Dan Kenigsberg 2014-11-27 21:15:44 UTC
I suspect that this is an outcome of bug 1168689: configuration failed during rpm installation, so service fails to start later.

Comment 3 Sandro Bonazzola 2014-11-28 10:48:34 UTC
reproducible on F20 host too.

Comment 4 Yaniv Bronhaim 2014-12-01 11:50:58 UTC
this not relate to bug 1168689 and i don't understand how this happens now. need to investigate it more deeply. working on it...

Comment 5 Sandro Bonazzola 2015-01-21 16:03:47 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.